Skip to content

Partially updates a task with the specified ID.

Request

This method will patch an existing task with the specified ID, using the HTTP PATCH specification.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the task to patch.

Bodyapplication/jsonrequired

The patch directives conforming to RFC 6902.

Array [
opstring(Op)required

The operation

Enum:"add""copy""move""remove""replace""test"
pathstring(Path)required

The JSON path

valuestring(Value)

The updated value

]
curl -i -X PATCH \
  'https://docs.api.rhythmsoftware.com/_mock/apis/platform/platform-v1/tasks/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "add",
      "path": "string",
      "value": "string"
    }
  ]'

Responses

The task was patched successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
applicationstring(Application)

The application with which this task is affiliated

assignee_idstring(Assignee)

The user to whom this task is assigned

associated_contact_idstring(Associated Contact)

If the task is associated with a contact

associated_organization_idstring(Associated Organization)

If the task is associated with a contact

associated_recordsArray of objects
custom_field_valuesArray of objects(Custom Field Values)
descriptionstring(Description)

A description of this task

due_datestring(Due Date)required

The due date

idstring(ID)^[\w|-]+$required

The unique, string identifier of this task

namestring(Name)required

The name of the task

order_idstring(Order)

The order with which this task is associated

order_line_item_idstring(Order Line Item)

The order line item with which this task is associated

owner_idstring(Owner)required

The user that owns this task

prioritystring(Priority)
Enum:"high""low""normal""urgent"
queue_idstring(Queue)

The queue to which this task is assigned

queue_prioritynumber, (float)(Queue Priority)

The priority in the queue

remind_assigneeboolean(Remind Assignee)

If true, the assignee should be reminded of this task via email

reminder_datestring, (date-time)(Reminder Date)required

The date to remind

statusstring(Status)required
Enum:"completed""deferred""open""waiting for someone else"
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

task_group_idstring(Task Group)

When tasks are linked, this is the UUID of the grouping

type_idstring(Type)required

The type of task

Response
{ "application": "string", "assignee_id": "string", "associated_contact_id": "string", "associated_organization_id": "string", "associated_records": [ { … } ], "custom_field_values": [ { … } ], "description": "string", "due_date": "string", "id": "string", "name": "string", "order_id": "string", "order_line_item_id": "string", "owner_id": "string", "priority": "high", "queue_id": "string", "queue_priority": 0.1, "remind_assignee": true, "reminder_date": "2019-08-24T14:15:22Z", "status": "completed", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "task_group_id": "string", "type_id": "string" }